Bug 204370 - ports-mgmt/portlint: Check for gettext / USES=gettext doesnt check for NLS_USES (options helper)
Summary: ports-mgmt/portlint: Check for gettext / USES=gettext doesnt check for NLS_US...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2015-11-08 02:30 UTC by Yuri Victorovich
Modified: 2015-12-19 21:16 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-11-08 02:30:35 UTC
I encountered this problem while working on multimedia/mkvtoolnix, see patch here:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=204312

These warnings are printed despite it having NLS_USES=gettext:
> # portlint -A
> WARN: /usr/ports/multimedia/mkvtoolnix/pkg-plist: [55]: installing gettext translation files, please define USES[+]=gettext as appropriate
> <... more of the same ...>

Solution:
Any XXX_USES=gettext should mute the above warning.
Comment 1 Joe Marcus Clarke freebsd_committer 2015-11-16 17:09:55 UTC
Try this patch to portlint to see if it does the right thing.

http://www.marcuscom.com/cgi-bin/cvsweb.cgi/portlint/portlint.pl.diff?r1=1.375&r2=1.376&f=h
Comment 2 commit-hook freebsd_committer 2015-12-19 21:16:15 UTC
A commit references this bug:

Author: marcus
Date: Sat Dec 19 21:16:07 UTC 2015
New revision: 404027
URL: https://svnweb.freebsd.org/changeset/ports/404027

Log:
  Update to 2.16.8.

  * Attempt to properly detect gettext [1]
  * Add support for @<pre|post>[un]exec plist directives [2]
  * Add support for the new @sample plist directive changes [2]
  * Modify the text when checking for used OPTIONS [3]

  PR:		204370 [1]
  		204900 [2]
  		204575 [3]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 3 Joe Marcus Clarke freebsd_committer 2015-12-19 21:16:38 UTC
Should be fixed in 2.16.8.